Xerces-C++: BinFileInputStream Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BinFileInputStream Class Reference

Inheritance diagram for BinFileInputStream:

List of all members.

## Public Member Functions
| BinFileInputStream (const XMLCh *const fileName, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| BinFileInputStream (const char *const fileName, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| BinFileInputStream (const FileHandle toUse, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual | ~BinFileInputStream ()
bool | getIsOpen () const
XMLFilePos | getSize () const
void | reset ()
virtual XMLFilePos | curPos () const
virtual XMLSize_t | readBytes (XMLByte *const toFill, const XMLSize_t maxToRead)
virtual const XMLCh * | getContentType () const
| Return the "out-of-band" content type for the data supplied by this input stream in the form of the media-type production (mime type with optional parameters such as encoding) as defined by the HTTP 1.1 specification.

## Constructor & Destructor Documentation

BinFileInputStream::BinFileInputStream | ( | const XMLCh *const | fileName,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

BinFileInputStream::BinFileInputStream | ( | const char *const | fileName,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

BinFileInputStream::BinFileInputStream | ( | const FileHandle | toUse,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

virtual BinFileInputStream::~BinFileInputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

bool BinFileInputStream::getIsOpen | ( |  | ) | const

XMLFilePos BinFileInputStream::getSize | ( |  | ) | const

void BinFileInputStream::reset | ( |  | ) |

virtual XMLFilePos BinFileInputStream::curPos | ( |  | ) | const`[virtual]`

Implements BinInputStream.

virtual XMLSize_t BinFileInputStream::readBytes | ( | XMLByte *const | toFill,
|  | const XMLSize_t | maxToRead |
| ) |  |  | `[virtual]`

Implements BinInputStream.

virtual const XMLCh* BinFileInputStream::getContentType | ( |  | ) | const`[virtual]`

Return the "out-of-band" content type for the data supplied by this input stream in the form of the media-type production (mime type with optional parameters such as encoding) as defined by the HTTP 1.1 specification.

If no such content type is provided for the data, 0 is returned. This function is expected to return the correct value at any time after the construction of the stream.

An example of the stream that may return non-0 from this function is an HTTP stream with the value returned taken from the "Content-Type" HTTP header. Note also that if the encoding of the data is known to the application by some other means then the setEncoding function in the InputSource object should be used instead. The getContentType function should only be used to return information that is intrinsic to the stream.

Returns:
  The content type, or 0 if one is not available.

Implements BinInputStream.

The documentation for this class was generated from the following file:

- BinFileInputStream.hpp